"""create table for Country
Revision ID: 2b7a3c5d1e6a
Revises: 0001
Create Date: 2023-05-25 12:32:42.096379
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '2b7a3c5d1e6a'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "countries"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('latitude', sa.Float(), nullable=False),
        sa.Column('longitude', sa.Float(), nullable=False),
        sa.Column('created_at', sa.Float(), server_default=func.now()),
        sa.Column('updated_at', sa.Float(), server_default=func.now(), onupdate=func.now()),
        sa.Index('ix_countries_name', 'name')
    )

def downgrade():
    table_name = "countries"
    op.drop_table(table_name)