"""create table for laptop_brands

Revision ID: 8d5c6b9d2b94
Revises: f4c2e3a1c7b4
Create Date: 2023-05-30 12:00:00

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '8d5c6b9d2b94'
down_revision = 'f4c2e3a1c7b4'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "laptop_brands"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )

def downgrade():
    table_name = "laptop_brands"
    op.drop_table(table_name)